      subroutine setprob
      implicit double precision (a-h,o-z)

      common /reaction/ D,del,alf,beta,gam,tau1,tau2
      common /comaxis/ xaxis,yaxis,zaxis

      open(unit=7,file='setprob.data',status='old',form='formatted')

c     # read reation parameters for Turing model
      read(7,*) D
      read(7,*) del
      read(7,*) alf
      read(7,*) beta
      read(7,*) gam
      read(7,*) tau1
      read(7,*) tau2

      xaxis = 0.d0
      yaxis = 0.d0
      zaxis = 6.2832d0

      close(unit=7)

      return
      end
